EverDrive Forum

General => EverDrive 64 => Topic started by: ed_user on September 20, 2019, 07:21 AM

Title: ED64 X7 - ERROR:14 “Unsupported OS version. OS update required”
Post by: ed_user on September 20, 2019, 07:21 AM
Brand new ED64 X7 arrived from Stone Age Gamer yesterday. It worked great for about 30 - 60 minutes. I hit the reset button on the N64, then I got this error.

ERROR:14 “Unsupported OS version. OS update required”

Every time I start up, I get that same error. I can’t find any info on that specific error. (I was playing an NES game, when I hit reset, if that matters.)

Any info would be very much appreciated.

I tried:
-2 different SD cards (the first one works fine in Everdrive GBA X5)
-reformatted both cards
-downloaded the OS package again - http://krikzz.com/pub/support/everdrive-64/x-series/OS/
-removed and replaced the Everdrive into the N64 several times
-used other carts in the N64 with no problems (original Nintendo controller)
Title: Re: ED64 X7 - ERROR:14 “Unsupported OS version. OS update required”
Post by: Galron on September 20, 2019, 06:08 PM
How did you get an X7 at Stone Age gamers? I don’t even see it advertised there.
Title: Re: ED64 X7 - ERROR:14 “Unsupported OS version. OS update required”
Post by: ed_user on September 20, 2019, 07:54 PM
I did a pre-order for a v3. When they got their boards from Krikzz, they got the updated X7 boards. Then, they offered pre-order people the option to wait for X7 branding, labels, and packaging or to just receive X7 boards in a cart labeled as v3. I jumped on that option to get it sooner.

Now, I’m dealing with this issue... sad face
Title: Re: ED64 X7 - ERROR:14 “Unsupported OS version. OS update required”
Post by: D4v3WTF on September 20, 2019, 09:19 PM
Brand new ED64 X7 arrived from Stone Age Gamer yesterday. It worked great for about 30 - 60 minutes. I hit the reset button on the N64, then I got this error.

ERROR:14 “Unsupported OS version. OS update required”

Every time I start up, I get that same error. I can’t find any info on that specific error. (I was playing an NES game, when I hit reset, if that matters.)

Any info would be very much appreciated.

I tried:
-2 different SD cards (the first one works fine in Everdrive GBA X5)
-reformatted both cards
-downloaded the OS package again - http://krikzz.com/pub/support/everdrive-64/x-series/OS/
-removed and replaced the Everdrive into the N64 several times
-used other carts in the N64 with no problems (original Nintendo controller)

Hi there, if nothing helps, you should try to contact the Krikzz or the SAG support for help. SAG is an official dealer from Krikzz, so there should no problems, if it is a faulty unit.

Greetings
Title: Re: ED64 X7 - ERROR:14 “Unsupported OS version. OS update required”
Post by: eats7 on September 29, 2019, 01:44 AM
Anybody have any screenshots of the OS? Has much changed at all? I'd be curious as to what it looks like
Title: Re: ED64 X7 - ERROR:14 “Unsupported OS version. OS update required”
Post by: ed_user on September 29, 2019, 06:06 AM
Well, after some troubleshooting, Stone Age Gamer is sending me a replacement. Assuming I don’t have problems with the replacement, I can probably post some screen shots later next week.

I never had the previous versions of the ED64 to compare, so you should let me know what you want to see.
Title: Re: ED64 X7 - ERROR:14 “Unsupported OS version. OS update required”
Post by: FeverDrive on October 13, 2019, 12:31 AM
Anybody have any screenshots of the OS? Has much changed at all? I'd be curious as to what it looks like
Krikzz is a minimalist so I guess it'll look the same.